<template>
  <div>
    <div class="modal__input is-active">
      <span class="modal__label">Link</span>
      <el-input ref="share_input" border line v-model="fullUrl" readonly />
    </div>
    <Button size="small" @click="onCopy">
      {{ $t('buttons.copy_link') }}
    </Button>
  </div>
</template>

<script lang="ts">
import { defineComponent } from '@nuxtjs/composition-api'
import elInput from '@/components/element/Input.vue'
import Button from '@/components/ui/Button.vue'

export default defineComponent<{
  url: string | ''
}>({
  name: 'ModalShare',
  props: ['url'],
  components: {
    Button,
    elInput
  },
  setup(props) {
    const fullUrl = window.location.origin + '/' + props.url
    const onCopy = () => {
      navigator.clipboard.writeText(fullUrl)
    }
    return {
      fullUrl,
      onCopy
    }
  }
})
</script>
